package com.platega.memoriae.loxica;

import java.util.ArrayList;

public class LoxicaXogoPreguntas {

	/**
	 * Leva a conta das parellas acertadas
	 */
	public static int numpreguntasacertadas;
	
	/**
	 * Tempo en minutos
	 */
	public static final int TEMPO_CRONO=2;

	public static ArrayList<Pregunta>preguntas = new ArrayList<Pregunta>();
	
	public static String idioma; 
	
	/**
	 * Obtén unha nova pregunta do array.
	 * En caso de que xa estiveran todas preguntadas, devolve null
	 */
	public static Pregunta obterNovaPregunta(){

		boolean quedan=false;
		for (Pregunta pregunta : preguntas){
			if (!pregunta.getVista()) {
				quedan = true;
				break;
			}
		}
		if (!quedan)  return null;
		
		int aleaotorio = LoxicaXogoParellas.xerarAleatorio(0, preguntas.size());
		Pregunta pregunta;
		do {
			pregunta = preguntas.get(aleaotorio);
			aleaotorio = LoxicaXogoParellas.xerarAleatorio(0, preguntas.size());
		}while (pregunta.getVista());
		return pregunta;
		
	}
	
	/**
	 * Facemos que todas as preguntas pase a ser non lidas
	 */
	public static void inicializarPreguntas(){
		for (Pregunta pregunta : preguntas){
			pregunta.setVista(false);
		}
		
	}
	
}
