package com.platega.memoriae.loxica;

public class Pregunta {
	private int _id;
	private String texto_DEF;  //Enunaciado da pregunta no idioma por defecto (Galego neste caso)
	private String texto_EN;   //Enunaciado da pregunta en Inglés
	private boolean resposta;  //Se a resposta é verdade ou falso
	private boolean vista;     //Controla se a pregunta foi presentada ao usuario
	private int paquete;       //Paquete do que se descargou a pregunta
	
	
	//Constructor
	public Pregunta(int id, String texto_DEF, String texto_UK,boolean resposta,int paquete){
		this._id=id;
		this.texto_DEF=texto_DEF;
		this.texto_EN=texto_UK;
		this.resposta=resposta;
		this.paquete=paquete;
		vista=false;
	}


	//Getters e Setters
	public long get_id() {
		return _id;
	}


	public void set_id(int _id) {
		this._id = _id;
	}


	public String getTexto_DEF() {
		return texto_DEF;
	}


	public void setTexto_DEF(String texto_DEF) {
		this.texto_DEF = texto_DEF;
	}


	public String getTexto_EN() {
		return texto_EN;
	}


	public void setTexto_EN(String texto_EN) {
		this.texto_EN = texto_EN;
	}


	public boolean getResposta() {
		return resposta;
	}


	public void setResposta(boolean resposta) {
		this.resposta = resposta;
	}


	public int getPaquete() {
		return paquete;
	}


	public void setPaquete(int paquete) {
		this.paquete = paquete;
	}


	public boolean getVista() {
		return vista;
	}


	public void setVista(boolean vista) {
		this.vista = vista;
	}
	
	@Override
	public String toString() {
		if (LoxicaXogoPreguntas.idioma.compareTo("english")==0)
			return texto_EN;
		else
			return texto_DEF;		
	}
	
}
