package com.platega.memoriae;

import android.app.Activity;
import android.content.Intent;
import android.graphics.drawable.AnimationDrawable;
import android.os.Bundle;
import android.view.View;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.ImageView;



public class ActivityPresentacion extends Activity {

	
	
	/**
	 * Xestion o evento de click sobre o botón
	 * @param view
	 */
	public void pulsarBoton(View view){
		startActivity(new Intent(getBaseContext(),ActivityPrincipal.class));
		ActivityPresentacion.this.finish();
	}
	
	@Override
	protected void onStart(){
		super.onStart();

	
	}
	@Override
	public void onStop(){
		super.onStop();
	
	}

	
	/**
	 * Carga a animación da Terra e fai o fundido ao negro
	 */
	private void cargarAnimacions(){
		ImageView img = (ImageView)findViewById(R.id.imgvwTerra);
		img.setBackgroundResource(R.drawable.animacion_terra);
		AnimationDrawable ad =(AnimationDrawable)img.getBackground(); 
		ad.start();
		
		View pai = (View)findViewById(R.id.lnrlayoutPresentacion);
		Animation fundido = AnimationUtils.loadAnimation(this,R.anim.animacion_aparece_do_fundido);
		pai.startAnimation(fundido);
	}
	
	
	@Override 
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_presentacion);
		
		// Cargamos a animación da Terra e fundido o negro
		cargarAnimacions();
	}



}
